/*
copyV.c

entry point
*/

#include "oth.h"
#include "oth_prototype.h"

void copyV(d_complex_t *v)
{
	if (Pbc.xpbc) {
		copyXpbc(v);
		factorXpbc(v);
	}

	if (Pbc.ypbc) {
		copyYpbc(v);
		factorYpbc(v);
	}

	if (Pbc.zpbc) {
		copyZpbc(v);
		factorZpbc(v);
	}
}
